using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NHibernate.Cfg;
using NHibernate;
using DataTransfer;
using  NHibernate.Criterion;

namespace DataAccessLayer
{
    public class NHibernateSessionManager
    {

        private ISessionFactory _sessionFactory;

        /// <summary>
        /// Initializes a new instance of the NHibernateSessionManager class.
        /// </summary>
        public NHibernateSessionManager()
        {
            _sessionFactory = GetSessionFactory();

        }



        public ISession GetSession()
        {
            return _sessionFactory.OpenSession(new MyInterceptor());
        }

        private ISessionFactory GetSessionFactory()
        {
            return (new Configuration()).Configure().BuildSessionFactory();

        }

    }
}
