﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using DataAccessLayer;
using DataTransfer;

namespace WebFormsHarness
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            NHibernateDataProvider provider = new NHibernateDataProvider(StaticSessionManager.SessionFactory.GetCurrentSession());

            if (!IsPostBack)
            {
                IList<Customer> customers = provider.CRIT_GetCustomersByFirstname("Steve");

                Session["Steves"] = customers;

                Response.Write(String.Format("Count of Customers found = {0}", customers.Count));
                
            }


            if (IsPostBack)
            {
                
                IList<Customer> retrievedCustomers = Session["Steves"] as IList<Customer>;
                
                NHibernate.ISession compareSession = StaticSessionManager.SessionFactory.GetCurrentSession();
                
                foreach (Customer c in retrievedCustomers)
                {
                    Response.Write(string.Format("<br/>{0}, {1} (in session = {2})", c.Name.Lastname, c.Name.Firstname, compareSession.Contains(c).ToString()));
                }

                NHibernateSessionPerConversationModule.SetEndConversationFlag();

                foreach (Customer c in retrievedCustomers)
                {
                    Response.Write(string.Format("<br/>{0}, {1} (in session = {2})", c.Name.Lastname, c.Name.Firstname, compareSession.Contains(c).ToString()));
                }

                
            }


        }
    }
}
